import { LocalTrack } from '../track/LocalTrack';
import { BroadcastState } from '../space/enums';
import { WSJoinResponse, SfuDescription, CustomEventMessage, ParticipantUpdate } from './types';
import { PromiseWrapper } from '../interfaces';
import RemoteParticipant from '../participant/RemoteParticipant';
import { SpaceOptions } from '../rtc/types';
import LocalParticipant from '../participant/LocalParticipant';
import { CustomEvent } from '../space/types';
export declare class WSSignalClient {
    onOffer?: (sd: SfuDescription) => void;
    onTrackAdded?: (track: any) => void;
    onTrackRemoved?: (track: any) => void;
    onCandidate?: (candidate: any, type: any, id: string) => void;
    onParticipantJoined?: (participant: any) => void;
    onParticipantLeft?: (connectionId: string) => void;
    onAnswer?: (sdp: any) => void;
    onTrackMute?: (connectionId: string, trackId: string) => void;
    onTrackUnmute?: (connectionId: string, trackId: string) => void;
    onActiveSpeakers?: (tracks: {
        connectionId: string;
        trackId: string;
    }[]) => void;
    onCustomEvent?: (eventMessage: CustomEventMessage, requestId: string) => void;
    onParticipantUpdate?: (participantUpdate: ParticipantUpdate, requestId: string) => void;
    onBroadcastStateUpdate?: (state: BroadcastState) => void;
    onClose?: (ev: CloseEvent) => Promise<void>;
    triggerReconnect?: () => Promise<void>;
    joinPromise: PromiseWrapper;
    subscribePromises: Map<string, PromiseWrapper>;
    unsubscribePromises: Map<string, PromiseWrapper>;
    requestPromises: Map<string, PromiseWrapper>;
    private options?;
    private joined;
    ws?: WebSocket;
    connect(jwt: string, options: SpaceOptions, reconnectId?: string, reconnect_attempt?: number): Promise<WSJoinResponse>;
    syncParticipantState(oldParticipants: Map<string, RemoteParticipant>, newParticipants: any[], trackIdToConnId: Map<string, string>): void;
    close(): void;
    sendAnswer(sdp: any, id: string): void;
    sendOffer(sdp: any): void;
    sendCandidate(candidate: RTCIceCandidateInit, type: number, id: string): void;
    sendSubscribeRequest(connectionId: string, trackIds: string[]): Promise<void>;
    sendUnsubscribeRequest(connectionId: string, trackIds: string[]): Promise<void>;
    sendPendingTrack(track: LocalTrack, mid: string): void;
    sendMuteRequest(trackId: string): void;
    sendUnmuteRequest(trackId: string): void;
    sendSetDisplayName(displayName: string): Promise<LocalParticipant>;
    sendCustomEvent(payload: string): Promise<CustomEvent>;
    sendPendingRequest(req: any, id: string): Promise<any>;
    sendRequest(req: any): void;
    private sigCandidateToRTCCandidate;
    private rtcCandidateToSigCandidate;
    private handleSignalMessage;
    handleErrorSignal(error: any): void;
}
