export interface SfuDescription {
    sdp: string;
    sfu_id: string;
}
export interface LocalParticipantLimits {
    custom_events_per_second: number;
    default_track_limit: number;
    seconds_per_set_display_name: number;
}
export interface WSJoinResponse {
    session_id: string;
    connection_id: string;
    participant_id: string;
    sub_sfus: SfuDescription[];
    broadcasting: boolean;
    participants: any[];
    simulcast: SimulcastParams;
    ice_servers: WSIceServer[];
    limits: LocalParticipantLimits;
    watchrtc_token: string;
    display_name: string;
}
export interface WSIceServer {
    username?: string;
    credential?: string;
    credential_type?: string;
    urls: string[];
}
export interface SimulcastParams {
    camera_encodings: SignalEncoding[];
    screenshare_encodings: SignalEncoding[];
}
export interface SignalEncoding {
    rid: string;
    max_bitrate: number;
    scale_resolution_down_by: number;
    max_framerate: number;
}
export declare enum CustomEventScope {
    UNKNOWN = 0,
    SESSION = 1
}
export interface CustomEventMessage {
    id: string;
    payload: string;
    scope: CustomEventScope;
    connection_id: string;
    sequence_num: number;
}
export interface ParticipantUpdate {
    connection_id: string;
    display_name?: string;
}
