import { MuxError } from './muxError';
/**
 * JWTError is thrown when there is an issue with the JWT
 */
export declare class JWTError extends MuxError {
}
export declare class InternalError extends MuxError {
}
/**
 * SpaceOptionsError is thrown when an invalid {@link SpaceOptionsParams} property
 * is passed into the a Space
 */
export declare class SpaceOptionsError extends MuxError {
}
/**
 * ConnectionError is thrown when there is a problem connecting
 * to the Space that doesn't involve the JWT
 */
export declare class ConnectionError extends MuxError {
}
/**
 * DisconnectedError is thrown when the connection to the server
 * has broken and attempts at reconnects have been unsuccessful
 */
export declare class DisconnectedError extends MuxError {
}
/**
 * WebsocketError is thrown when the websocket closes unexpectedly
 */
export declare class WebsocketError extends MuxError {
}
/**
 * PublishCustomEventError is thrown when there is an error publishing a custom event to the space
 */
export declare class PublishCustomEventError extends MuxError {
}
/**
 * PublishTrackError is thrown when there is an error publishing [[LocalTrack]] to the space
 */
export declare class PublishTrackError extends MuxError {
}
/**
 * UnpublishTrackError is thrown when there is an error unpublishing [[LocalTrack]] to the space
 */
export declare class UnpublishTrackError extends MuxError {
}
/**
 * UpdateTrackError is thrown when there is an error updating [[LocalTrack]] in the space
 */
export declare class UpdateTrackError extends MuxError {
}
/**
 * SubscriptionError is thrown when there is an error subscribing to a [[RemoteParticipant]] in the space
 */
export declare class SubscriptionError extends MuxError {
}
/**
 * RequestTimeoutError is thrown where there is an error in completing a request in the space
 */
export declare class RequestTimeoutError extends MuxError {
}
/**
 * AcrError is thrown when there is an error submitting an Acr score
 */
export declare class AcrError extends MuxError {
}
/**
 * SetDisplayNameError is thrown when there is an error updating the display name on a participant
 */
export declare class SetDisplayNameError extends MuxError {
}
/**
 * InvalidProtocolError is thrown when the SDK attempts to connect using an
 * unsupported signaling version
 */
export declare class InvalidProtocolError extends MuxError {
}
