export declare enum LoggerScope {
    Space = "Space",
    LocalParticipant = "LocalParticipant",
    RemoteParticipant = "RemoteParticipant",
    RTCManager = "RTCManager",
    PubPC = "PubPc",
    SubPC = "SubPc",
    Signaling = "Signaling",
    Media = "Media"
}
declare class Logger {
    /**
     *  disabledScopes is a list of scopes that will not be logged
     * to the console.
     */
    disabledScopes: LoggerScope[];
    private date;
    private level;
    constructor(disabledScopes: LoggerScope[]);
    debug(scope: LoggerScope, message: string, ...args: any[]): void;
    info(scope: LoggerScope, message: string, ...args: any[]): void;
    warn(scope: LoggerScope, message: string, ...args: any[]): void;
    error(scope: LoggerScope, message: string, ...args: any[]): void;
    private log;
}
export declare const logger: Logger;
export {};
