/**
 * ParticipantRole is an enum that is derived from the `role` field in the JWT.
 * It denotes the capabilites of participants. [[LocalParticipant]] role is set based on the
 * JWT role on [[Space.join]]
 */
export declare enum ParticipantRole {
    /**
     * Publishers can both publish media and subscribe to media
     */
    Publisher = 1,
    /**
     * Subscribers can only subcribe to media
     */
    Subscriber = 2
}
/**
 * ParticipantStatus is an enum that indicates the signaling state of a
 * [[RemoteParticipant]].
 */
export declare enum ParticipantStatus {
    /**
     * This participant is connected and ready to send or receive media
     */
    Connected = 1,
    /**
     * This participant is disconnected; they may have left or failed to connect
     */
    Disconnected = 2,
    /**
     * This participant has succesfully reconnected after disconnecting
     */
    Reconnected = 3
}
