import RemoteParticipant from './RemoteParticipant';
import LocalParticipant from './LocalParticipant';
import { RemoteTrack } from '../track/RemoteTrack';
import { LocalTrack } from '../track/LocalTrack';
import { SubscriptionMode } from '../space/options';
export declare function addRemoteTrack(participant: RemoteParticipant, track: RemoteTrack): void;
export declare function removeRemoteTrack(participant: RemoteParticipant, trackId: string): RemoteTrack | undefined;
export declare function hasRemoteTrack(participant: RemoteParticipant, track: MediaStreamTrack | RemoteTrack): RemoteTrack | undefined;
export declare function hasRemoteTrackId(participant: RemoteParticipant, id: string): RemoteTrack | undefined;
export declare function setRemoteMediaTrack(participant: RemoteParticipant, trackId: string, track: MediaStreamTrack, subscriptionMode: SubscriptionMode): RemoteTrack | null;
export declare function hasLocalTrackId(participant: LocalParticipant, id: string): LocalTrack | undefined;
/**
 * isSubbed returns true if a participant has a track that has an active MediaStreamTrack.
 * It returns false otherwise.
 */
export declare function isSubbed(participant: RemoteParticipant): boolean;
