/// <reference types="node" />
import { EventEmitter } from 'events';
export declare class SubSFU extends EventEmitter {
    id: string;
    pc: RTCPeerConnection;
    constructor(id: string, iceServers: RTCIceServer[]);
    /**
     * Takes an offer and sets it as the local description
     * then generates an answer
     *
     * @returns A promise that contains the answer sdp.
     */
    offerAnswer(offer: string): Promise<string | undefined>;
    addIceCandidate(candidate: RTCIceCandidateInit): Promise<void>;
    close(): void;
}
