/**
 * Options available for configuring [[LocalTrack]] created with
 * [[getUserMedia]] and [[getDisplayMedia]]
 */
export interface LocalTrackOptions extends MediaTrackConstraints {
    /**
     * A name to be given to the resulting track.
     * This will populate [[LocalTrack.name]]
     */
    name?: string;
    /**
     * A set of constraints for configuring the media.
     * These are the same as the constraints passed
     * to navigator.mediaDevices.getUserMedia
     *
     * For more information about constraints [see](https://developer.mozilla.org/en-US/docs/Web/API/MediaTrackConstraints)
     */
    constraints?: MediaTrackConstraints;
}
